Org Content

Get the settings of one content type

GET/org-content/settings/{id}

Returns how the organisation sorts one type of content. An unknown type returns 404. Changes nothing.

Path parameters

  • idstringRequired#

    The content type: news, event or resource.

    One of: news, event, resource

Responses

200

The setting.

OrgContentSetting
{
  "data": {
    "type": "news",
    "sort": "title"
  }
}
401

Authentication failed. error.code is one of invalid_token, expired, revoked.

Error
403

Authorization failed. error.code is one of org_disabled, ip_blocked, missing_scope, scope_disabled, user_disabled.

Error
404

Resource not found (error.code = not_found).

Error
429

Rate limit exceeded (error.code = rate_limited).

Error

Examples

curl https://your-org-domain/kong/core/api/v2/org-content/settings/{id}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"